# See dos how to configure the bundle: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "gd"

    loaders:
        default:
            filesystem:
                data_root:
                    - '%kernel.project_dir%/public'

    # configure resolvers
    resolvers:
        default:
            web_path:
                web_root: "%liip_resolvers_web_root%"
                cache_prefix: /liip/media/cache


    # your filter sets are defined here
    filter_sets:

        # use the default cache configuration
        cache: ~

        # the name of the "filter set"
        thumb: {quality: 95, filters: {thumbnail: { size: [200, 200],mode: inset}}}
        thumb_brand: { filters: { thumbnail: {size: [280, 120],mode: inset }}}
        thumb_blog: { filters: { thumbnail: {size: [400, 300],mode: outbound }}}

        my_heighten_filter:
            filters:
                relative_resize:
                    heighten: 60

